Skip to Content
HallolaraDocs
Public APITools

Get a tool

GET
/tools/{tool_id}

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key in the Authorization: Bearer <key> header. Keys are created in the Hallolara dashboard (Settings → API Keys).

Path Parameters

tool_id*string
Match^[a-f0-9]{24}$

Response Body

The tool.

application/json
  1. response
data?
Example Request
curl -X GET 'https://api.hallolara.ai/api/v1/tools/65f8fa6f1a9d8e0012ab34cd'
Example Response
{  "data": {    "id": "string",    "tool_key": "string",    "display_name": "string",    "description": "string",    "parameters": {},    "execution_type": "webhook",    "source": "custom",    "webhook": {      "url": "http://example.com",      "method": "GET",      "headers": {},      "body_template": "string",      "timeout_ms": 10000,      "retry_count": 0    },    "integration": null,    "auth": {      "type": "apiKey",      "header_name": "string",      "username": "string",      "has_secret": true    },    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}